## kxstitch 0.6

=== admin/Makefile ===
# Makefile.in generated by automake 1.6.1 from Makefile.am.
# Generated automatically from Makefile.in by config.pl.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.2 $ 
# 

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
VPATH = .
prefix = /opt/kde3
exec_prefix = ${prefix}

bindir = /opt/kde3/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = /etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = /opt/kde3/lib
infodir = ${prefix}/info
mandir = /usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/kdesdk-3.1
pkglibdir = $(libdir)/kdesdk-3.1
pkgincludedir = $(includedir)/kdesdk-3.1
top_builddir = ../..

ACLOCAL = ${SHELL} /usr/src/packages/BUILD/kdesdk-3.1/admin/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /usr/src/packages/BUILD/kdesdk-3.1/admin/missing --run autoconf
AUTOMAKE = ${SHELL} /usr/src/packages/BUILD/kdesdk-3.1/admin/missing --run automake-1.6
AUTOHEADER = ${SHELL} /usr/src/packages/BUILD/kdesdk-3.1/admin/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = i686-pc-linux-gnu
build_triplet = i686-pc-linux-gnu
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_alias = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = ${SHELL} /usr/src/packages/BUILD/kdesdk-3.1/admin/missing --run tar
ARTSCCONFIG = /opt/kde3/bin/artsc-config
AS = @AS@
AUTODIRS = 
AWK = gawk
CC = gcc
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in $(top_srcdir)/./kbabel/configure.in.in $(top_srcdir)/./kbabel/kbabeldict/modules/dbsearchengine/configure.in.in
CPP = gcc -E
CXX = g++
CXXCPP = g++ -E
DBII_INCLUDES = .
DBII_LDFLAGS = .
DBII_NAME = db
DCOPIDL = /opt/kde3/bin/dcopidl
DCOPIDL2CPP = /opt/kde3/bin/dcopidl2cpp
DCOP_DEPENDENCIES = $(DCOPIDL)
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = echo
FRAMEWORK_COREAUDIO = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = /usr/bin/msgfmt
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KDECONFIG = /opt/kde3/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = -I/opt/kde3/include
KDE_LDFLAGS = -L/opt/kde3/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = 
KDE_USE_CLOSURE_FALSE = #
KDE_USE_CLOSURE_TRUE = 
KDE_USE_FINAL_FALSE = #
KDE_USE_FINAL_TRUE = 
KDE_XSL_STYLESHEET = /opt/kde3/share/apps/ksgmltools2/customization/kde-chunk.xsl
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBGEN = @LIBGEN@
LIBJPEG = -ljpeg
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = 
LIBSHADOW = @LIBSHADOW@
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBXINERAMA = -lXinerama
LIBZ = -lz
LIB_DBII = -ldb2
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LN_S = ln -s
MCOPIDL = /opt/kde3/bin/mcopidl
MEINPROC = /opt/kde3/bin/meinproc
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/lib/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
NOREPO = -fno-repo
OBJDUMP = @OBJDUMP@
PACKAGE = kdesdk-3.1
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = 
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = -I/usr/lib/qt3/include
QT_LDFLAGS = -L/usr/lib/qt3/lib
RANLIB = ranlib
RC = @RC@
REPO = -frepo
SETUIDFLAGS = @SETUIDFLAGS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = strip
TOPSUBDIRS =  cervisia doc kapptemplate kbabel kbugbuster kdeaccounts-plugin kfile-plugins kompare kprofilemethod kspy poxml scripts
UIC = /usr/lib/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 3.1.0
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
all_includes = -I/opt/kde3/include -I/usr/lib/qt3/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/opt/kde3/lib 
am__include = include
am__quote = 
idldir = @idldir@
install_sh = /usr/src/packages/BUILD/kdesdk-3.1/admin/install-sh
jni_includes = @jni_includes@
kde_appsdir = /opt/kde3/share/applnk
kde_bindir = /opt/kde3/bin
kde_confdir = /opt/kde3/share/config
kde_datadir = /opt/kde3/share/apps
kde_htmldir = /opt/kde3/share/doc/HTML
kde_icondir = /opt/kde3/share/icons
kde_includes = /opt/kde3/include
kde_libraries = /opt/kde3/lib
kde_libs_htmldir = /opt/kde3/share/doc/HTML
kde_libs_prefix = /opt/kde3
kde_locale = /opt/kde3/share/locale
kde_mimedir = /opt/kde3/share/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = /opt/kde3/share/services
kde_servicetypesdir = /opt/kde3/share/servicetypes
kde_sounddir = /opt/kde3/share/sounds
kde_styledir = /opt/kde3/lib/kde3/plugins/styles
kde_templatesdir = ${prefix}/share/templates
kde_wallpaperdir = /opt/kde3/share/wallpapers
kde_widgetdir = /opt/kde3/lib/kde3/plugins/designer
micodir = @micodir@
qt_includes = /usr/lib/qt3/include
qt_libraries = /usr/lib/qt3/lib
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
subdir = kapptemplate/admin
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = ChangeLog Makefile.am Makefile.in compile config.guess \
	config.sub depcomp install-sh ltmain.sh missing mkinstalldirs \
	ylwrap
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit kapptemplate/admin/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=configure.in.bot.end debianrules cvs.sh Makefile.common cvs-clean.pl Doxyfile.global acinclude.m4.in libtool.m4.in Doxyfile.am conf.change.pl detect-autoconf.sh configure.in.min config.pl am_edit 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-data-local

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-local

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-data-local install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool uninstall uninstall-am uninstall-info-am \
	uninstall-local

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kapptemplate/admin
	for file in $(srcdir)/*; do \
		if [ -f $$file -a $$file != 'Makefile' -a $$file != 'Makefile.in' -a $$file != 'Makefile.am' ]; then \
			destfile=`basename $$file` \
			$(INSTALL_DATA) $$file \
				$(DESTDIR)$(kde_datadir)/kapptemplate/admin/$$destfile; \
		fi \
	done

uninstall-local:
	-/bin/rm -rf $(DESTDIR)$(kde_datadir)/kapptemplate/admin
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit kapptemplate/admin/Makefile.in


#>+ 2
final:
	$(MAKE) all-am
#>+ 2
final-install:
	$(MAKE) install-am

## kxstitch 0.7

=== admin/Makefile ===
# Makefile.in generated by automake 1.9.1 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.411 $ 
# admin/Makefile.  Generated from Makefile.in by config.pl.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..
VPATH = .
pkgdatadir = $(datadir)/kxstitch
pkglibdir = $(libdir)/kxstitch
pkgincludedir = $(includedir)/kxstitch
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = admin
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in compile \
	config.guess config.sub depcomp install-sh ltmain.sh missing \
	mkinstalldirs ylwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /home/stephen/kxstitch-head/admin/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/stephen/kxstitch-head/admin/missing --run tar
AR = ar
ARTSCCONFIG = /opt/kde3/bin/artsc-config
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/stephen/kxstitch-head/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/stephen/kxstitch-head/admin/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -ansi -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -O2   -Wformat-security -Wmissing-format-attribute
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in $(top_srcdir)/./kxstitch-0.7/configure.in.in
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = /opt/kde3/bin/dcopidl
DCOPIDL2CPP = /opt/kde3/bin/dcopidl2cpp
DCOPIDLNG = /opt/kde3/bin/dcopidlng
DCOP_DEPENDENCIES = $(DCOPIDL) $(DCOPIDLNG)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = 
FFLAGS = 
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KCFG_DEPENDENCIES = $(KCONFIG_COMPILER)
KCONFIG_COMPILER = /opt/kde3/bin/kconfig_compiler
KDECONFIG = /opt/kde3/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/opt/kde3/include
KDE_LDFLAGS = -L/opt/kde3/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = -Wl,--no-undefined -Wl,--allow-shlib-undefined
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_XSL_STYLESHEET = /opt/kde3/share/apps/ksgmltools2/customization/kde-chunk.xsl
LDFLAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPIM = -lkdepim
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_KUTILS = -lkutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/stephen/kxstitch-head/admin/missing --run makeinfo
MCOPIDL = /opt/kde3/bin/mcopidl
MEINPROC = /opt/kde3/bin/meinproc
MOC = /usr/lib/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = kxstitch
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
QTE_NORTTI = 
QT_INCLUDES = -I/usr/lib/qt3/include
QT_LDFLAGS = -L/usr/lib/qt3/lib
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  doc kxstitch kxstitch-0.7 po
UIC = /usr/lib/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 0.7
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
X_RPATH = -R $(x_libraries)
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
all_includes = -I/opt/kde3/include -I/usr/lib/qt3/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/opt/kde3/lib 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
include_ARTS_FALSE = #
include_ARTS_TRUE = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/stephen/kxstitch-head/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${datadir}/config
kde_datadir = ${datadir}/apps
kde_htmldir = ${datadir}/doc/HTML
kde_icondir = ${datadir}/icons
kde_includes = /opt/kde3/include
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /opt/kde3/lib
kde_libs_htmldir = /opt/kde3/share/doc/HTML
kde_libs_prefix = /opt/kde3
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /opt/kde3/lib/kde3/plugins/designer
kdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /opt/kde3
program_transform_name = s,x,x,
qt_includes = /usr/lib/qt3/include
qt_libraries = /usr/lib/qt3/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdg_appsdir = ${datadir}/applications/kde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  admin/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  admin/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  admin/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit admin/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:

## kxstitch 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

if (POLICY CMP0002)
    cmake_policy(SET CMP0002 OLD)
endif (POLICY CMP0002)

project (kxstitch)

find_package (KDE4 REQUIRED)
find_package (ImageMagick COMPONENTS MagickCore Magick++ REQUIRED)
find_package (X11)
find_package (Doxygen)
find_package (SharedMimeInfo)

if (DOXYGEN_FOUND)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    add_custom_target (doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
                       WORKING_DIRECTORY ${CMAKE_CURENT_BINARY_DIR}
                       COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif (DOXYGEN_FOUND)

include_directories (${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
# use both the _DIR and _DIRS variables, since the former are available
# only in older cmake versions, while the latter only in newer ones
include_directories (${ImageMagick_Magick++_INCLUDE_DIR} ${ImageMagick_MagickCore_INCLUDE_DIR})
include_directories (${ImageMagick_Magick++_INCLUDE_DIRS} ${ImageMagick_MagickCore_INCLUDE_DIRS})
include_directories (${X11_INCLUDE_DIR})

set (kxstitch_SRCS
    src/BackgroundImage.cpp
    src/BackgroundImages.cpp
    src/Boundary.cpp
    src/Commands.cpp
    src/ConfigurationDialogs.cpp
    src/Document.cpp
    src/DocumentFloss.cpp
    src/DocumentPalette.cpp
    src/Editor.cpp
    src/Element.cpp
    src/Exceptions.cpp
    src/Floss.cpp
    src/FlossScheme.cpp
    src/KeycodeLineEdit.cpp
    src/Layer.cpp
    src/Layers.cpp
    src/LibraryFile.cpp
    src/LibraryPattern.cpp
    src/Main.cpp
    src/MainWindow.cpp
    src/Page.cpp
    src/Palette.cpp
    src/PaperSizes.cpp
    src/Pattern.cpp
    src/Preview.cpp
    src/PrinterConfiguration.cpp
    src/Renderer.cpp
    src/Scale.cpp
    src/ScaledPixmapLabel.cpp
    src/SchemeManager.cpp
    src/SchemeParser.cpp
    src/Stitch.cpp
    src/StitchData.cpp
    src/Symbol.cpp
    src/SymbolLibrary.cpp
    src/SymbolManager.cpp
    src/XKeyLock.cpp

    src/AlphaSelect.cpp
    src/CalibrateFlossDlg.cpp
    src/ExtendPatternDlg.cpp
    src/FilePropertiesDlg.cpp
    src/ImageElementDlg.cpp
    src/ImportImageDlg.cpp
    src/KeyElementDlg.cpp
    src/LibraryFilePathsDlg.cpp
    src/LibraryListWidget.cpp
    src/LibraryListWidgetItem.cpp
    src/LibraryManagerDlg.cpp
    src/LibraryPatternPropertiesDlg.cpp
    src/LibraryTreeWidget.cpp
    src/LibraryTreeWidgetItem.cpp
    src/NewFlossDlg.cpp
    src/PaletteManagerDlg.cpp
    src/PageLayoutEditor.cpp
    src/PagePreviewListWidgetItem.cpp
    src/PagePropertiesDlg.cpp
    src/PatternElementDlg.cpp
    src/PrintSetupDlg.cpp
    src/SelectArea.cpp
    src/SymbolListWidget.cpp
    src/SymbolSelectorDlg.cpp
    src/TextElementDlg.cpp
    src/TextToolDlg.cpp
)

add_subdirectory(icons)
add_subdirectory(schemes)
add_subdirectory(symbols)
add_subdirectory(doc)

kde4_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)

kde4_add_ui_files(kxstitch_SRCS
    ui/CalibrateFloss.ui
    ui/ExtendPattern.ui
    ui/FileProperties.ui
    ui/ImageElement.ui
    ui/KeyElement.ui
    ui/ImportImage.ui
    ui/LibraryFilePaths.ui
    ui/LibraryManager.ui
    ui/LibraryPatternProperties.ui
    ui/NewFloss.ui
    ui/PageProperties.ui
    ui/PaletteManager.ui
    ui/PatternElement.ui
    ui/PrintSetup.ui
    ui/SymbolSelector.ui
    ui/TextElement.ui
    ui/TextTool.ui
    ui/EditorConfigPage.ui
    ui/PaletteConfigPage.ui
    ui/PatternConfigPage.ui
    ui/ImportConfigPage.ui
    ui/LibraryConfigPage.ui
    ui/PrinterConfigPage.ui
)

kde4_install_icons(${ICON_INSTALL_DIR})

kde4_add_executable (kxstitch ${kxstitch_SRCS})

target_link_libraries (kxstitch ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY}
                       ${X11_LIBRARIES})

set (WITH_PROFILING OFF CACHE BOOL "Build with profiling support")

if (WITH_PROFILING)
    add_definitions( -pg )
    set_target_properties (kxstitch PROPERTIES LINK_FLAGS -pg)
endif (WITH_PROFILING)

exec_program (Magick++-config ARGS --cxxflags OUTPUT_VARIABLE magick_config)

string (REGEX MATCH "-DMAGICKCORE_HDRI_ENABLE=." magick_config_hdri ${magick_config})
string (REGEX MATCH "-DMAGICKCORE_QUANTUM_DEPTH=[0-9]+" magick_config_quantum ${magick_config})

# earlier versions of Magick++-config don't provide the necessary options
if (magick_config_hdri STREQUAL "")
    # set a default for MAGICKCORE_HDRI_ENABLE to 0
    set (magick_config_hdri "-DMAGICKCORE_HDRI_ENABLE=0")
endif (magick_config_hdri STREQUAL "")

if (magick_config_quantum STREQUAL "")
    # MAGICKCORE_QUANTUM_DEPTH can also be found in the version string of an ImageMagick application
    exec_program (mogrify ARGS --version OUTPUT_VARIABLE mogrify_version)
    string (REGEX MATCH "Q8|Q16" mogrify_version_quantum ${mogrify_version})

    if (mogrify_version_quantum STREQUAL "Q8")
        set (magick_config_quantum "-DMAGICKCORE_QUANTUM_DEPTH=8")
    else (mogrify_version_quantum STREQUAL "Q8")
        set (magick_config_quantum "-DMAGICKCORE_QUANTUM_DEPTH=16")
    endif (mogrify_version_quantum STREQUAL "Q8")
endif (magick_config_quantum STREQUAL "")

message (STATUS "Set magic_config_quantum: " ${magick_config_quantum})
message (STATUS "Set magic_config_hdri: " ${magick_config_hdri})

add_definitions( -DQT_NO_COMPAT )
add_definitions( -DKDE_NO_COMPAT )
add_definitions( -fexceptions )
add_definitions( ${magick_config_hdri} )
add_definitions( ${magick_config_quantum} )

install (TARGETS kxstitch DESTINATION ${BIN_INSTALL_DIR})
install (FILES kxstitchui.rc DESTINATION ${DATA_INSTALL_DIR}/kxstitch)
install (FILES kxstitch.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install (FILES kxstitch.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

IF (SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
    install (FILES kxstitch.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
    update_xdg_mimetypes (${XDG_MIME_INSTALL_DIR})
ENDIF(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( et_kxstitch/kxstitch )
add_subdirectory( nl_kxstitch/kxstitch )
add_subdirectory( pt_kxstitch/kxstitch )
add_subdirectory( pt_BR_kxstitch/kxstitch )
add_subdirectory( sv_kxstitch/kxstitch )
add_subdirectory( uk_kxstitch/kxstitch )

=== doc/CMakeLists.txt ===
KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kxstitch)
KDE4_CREATE_MANPAGE(man-kxstitch.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== icons/CMakeLists.txt ===
file(GLOB _pngfile "*.png")
install(FILES ${_pngfile} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/toolbar)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )

=== debian/changelog ===
kxstitch (1.3.0-1build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:33:52 +0100

kxstitch (1.3.0-1) unstable; urgency=medium

  * Upstream release.

 -- Jeremy Whiting <jpwhiting@kde.org>  Wed, 20 Jan 2016 18:44:20 -0700

kxstitch (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #796484)

 -- Jeremy Whiting <jpwhiting@kde.org>  Mon, 31 Aug 2015 18:29:10 -0600

=== debian/control ===
Source: kxstitch
Maintainer: Jeremy Whiting <jpwhiting@kde.org>
Section: misc
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake,
               debhelper (>= 9),
               imagemagick,
               kdelibs5-dev,
               libmagick++-dev,
               libmagickcore-6-arch-config,
               libqt4-dev

Package: kxstitch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kxstitch-common
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends}
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=4
%:
	dh $@

=== debian/watch ===
version=3
http://download.kde.org/stable/kxstitch/([\d\.]*)/src/kxstitch-([^-]*)\.tar.bz2

## kxstitch 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,44 @@
-cmake_minimum_required(VERSION 2.8.9)
-
-if (POLICY CMP0002)
-    cmake_policy(SET CMP0002 OLD)
-endif (POLICY CMP0002)
+cmake_minimum_required(VERSION 2.8.12)
+
+if (POLICY CMP0063)
+    cmake_policy(SET CMP0063 NEW)
+endif (POLICY CMP0063)
 
 project (kxstitch)
 
-find_package (KDE4 REQUIRED)
+find_package (ECM REQUIRED NO_MODULE)
+set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include (KDEInstallDirs)
+include (KDECMakeSettings)
+include (KDECompilerSettings)
+include (ECMInstallIcons)
+include (FeatureSummary)
+
+kde_enable_exceptions()
+
+find_package (Qt5 CONFIG REQUIRED
+    Core
+    PrintSupport
+    Widgets
+    X11Extras
+)
+
+find_package (KF5DocTools)
+
+find_package (KF5 REQUIRED COMPONENTS
+    Config
+    ConfigWidgets
+    Completion
+    I18n
+    KIO
+    TextWidgets
+    WidgetsAddons
+    XmlGui
+)
+
 find_package (ImageMagick COMPONENTS MagickCore Magick++ REQUIRED)
-find_package (X11)
+find_package (X11 REQUIRED)
 find_package (Doxygen)
 find_package (SharedMimeInfo)
 
@@ -19,7 +49,7 @@
                        COMMENT "Generating API documentation with Doxygen" VERBATIM)
 endif (DOXYGEN_FOUND)
 
-include_directories (${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)
 # use both the _DIR and _DIRS variables, since the former are available
 # only in older cmake versions, while the latter only in newer ones
 include_directories (${ImageMagick_Magick++_INCLUDE_DIR} ${ImageMagick_MagickCore_INCLUDE_DIR})
@@ -93,47 +123,34 @@
     src/TextToolDlg.cpp
 )
 
+file(GLOB kxstitch_UI ${CMAKE_CURRENT_SOURCE_DIR}/ui/*.ui)
+
+ki18n_wrap_ui(kxstitch_SRCS ${kxstitch_UI})
+
 add_subdirectory(icons)
 add_subdirectory(schemes)
 add_subdirectory(symbols)
 add_subdirectory(doc)
 
-kde4_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)
-
-kde4_add_ui_files(kxstitch_SRCS
-    ui/CalibrateFloss.ui
-    ui/ExtendPattern.ui
-    ui/FileProperties.ui
-    ui/ImageElement.ui
-    ui/KeyElement.ui
-    ui/ImportImage.ui
-    ui/LibraryFilePaths.ui
-    ui/LibraryManager.ui
-    ui/LibraryPatternProperties.ui
-    ui/NewFloss.ui
-    ui/PageProperties.ui
-    ui/PaletteManager.ui
-    ui/PatternElement.ui
-    ui/PrintSetup.ui
-    ui/SymbolSelector.ui
-    ui/TextElement.ui
-    ui/TextTool.ui
-    ui/EditorConfigPage.ui
-    ui/PaletteConfigPage.ui
-    ui/PatternConfigPage.ui
-    ui/ImportConfigPage.ui
-    ui/LibraryConfigPage.ui
-    ui/PrinterConfigPage.ui
-)
-
-kde4_install_icons(${ICON_INSTALL_DIR})
-
-kde4_add_executable (kxstitch ${kxstitch_SRCS})
-
-target_link_libraries (kxstitch ${KDE4_KDEUI_LIBS}
-                       ${KDE4_KIO_LIBS}
-                       ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY}
-                       ${X11_LIBRARIES})
+kconfig_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)
+
+add_executable (kxstitch ${kxstitch_SRCS})
+
+target_link_libraries (kxstitch
+    Qt5::Core
+    Qt5::PrintSupport
+    Qt5::Widgets
+    Qt5::X11Extras
+    KF5::Completion
+    KF5::ConfigGui
+    KF5::KIOFileWidgets
+    KF5::I18n
+    KF5::TextWidgets
+    KF5::WidgetsAddons
+    KF5::XmlGui
+    ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY}
+    ${X11_LIBRARIES}
+)
 
 set (WITH_PROFILING OFF CACHE BOOL "Build with profiling support")
 
@@ -141,6 +158,10 @@
     add_definitions( -pg )
     set_target_properties (kxstitch PROPERTIES LINK_FLAGS -pg)
 endif (WITH_PROFILING)
+
+if (SILENCE_DEPRECATED)
+    add_definitions( -Wno-deprecated-declarations )
+endif (SILENCE_DEPRECATED)
 
 exec_program (Magick++-config ARGS --cxxflags OUTPUT_VARIABLE magick_config)
 
@@ -168,22 +189,32 @@
 message (STATUS "Set magic_config_quantum: " ${magick_config_quantum})
 message (STATUS "Set magic_config_hdri: " ${magick_config_hdri})
 
-add_definitions( -DQT_NO_COMPAT )
-add_definitions( -DKDE_NO_COMPAT )
-add_definitions( -fexceptions )
-add_definitions( ${magick_config_hdri} )
-add_definitions( ${magick_config_quantum} )
+add_definitions(
+    -DQT_NO_COMPAT
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DKDE_NO_COMPAT
+    -DQT_NO_URL_CAST_FROM_STRING
+    ${magick_config_hdri}
+    ${magick_config_quantum}
+)
+
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
+    message (STATUS "Processing translations")
+    ki18n_install(po)
+    kdoctools_install(po)
+endif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
 
 install (TARGETS kxstitch DESTINATION ${BIN_INSTALL_DIR})
-install (FILES kxstitchui.rc DESTINATION ${DATA_INSTALL_DIR}/kxstitch)
+install (FILES kxstitchui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kxstitch)
 install (FILES kxstitch.kcfg DESTINATION ${KCFG_INSTALL_DIR})
-install (FILES kxstitch.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES org.kde.kxstitch.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES org.kde.kxstitch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 IF (SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
     install (FILES kxstitch.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
     update_xdg_mimetypes (${XDG_MIME_INSTALL_DIR})
 ENDIF(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
-add_subdirectory( doc-translations )
+
+feature_summary (WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+

=== symbols/CMakeLists.txt ===
file(GLOB _symbols "*.sym")
install(FILES ${_symbols} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/symbols)

=== icons/app/CMakeLists.txt ===
file(GLOB _icon_files *.png *.svgz)

ecm_install_icons(ICONS ${_icon_files} DESTINATION ${ICON_INSTALL_DIR})

=== debian/changelog ===
kxstitch (2.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11. (Closes: #906776)

 -- Adrian Bunk <bunk@debian.org>  Mon, 17 Sep 2018 20:47:24 +0300

kxstitch (2.1.1-1) unstable; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.qt5 port. (Closes: #875004)
  * Update copyright.
  * Update control, rules, install files for port changes.
  * Added VCS entries, Homepage to control
  * Bumped standards  version to 4.1.3
  * Bumped compat to 11
  * Updated watch file to https, pgpmode, version 4.
  * Add upstream signing key.
  * Add tests for adt.
  * Fix dependency version for ECM.
  * wrap-and-sort.
  * Add build dependencies as required by cmake.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Drop imagemagick from build dependencies, it is not needed.
  * Replace libmagick++-dev with libmagick++-6.q16-dev. The first is a
    transitional "dummy" package.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 27 Mar 2018 20:36:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,32 @@
 Source: kxstitch
-Maintainer: Jeremy Whiting <jpwhiting@kde.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Scarlett Clark <sgclark@kde.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: cmake,
-               debhelper (>= 9),
-               imagemagick,
-               kdelibs5-dev,
-               libmagick++-dev,
-               libmagickcore-6-arch-config,
-               libqt4-dev
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 11),
+               extra-cmake-modules,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5kio-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
+               libmagick++-6.q16-dev,
+               libqt5x11extras5-dev,
+               qtbase5-dev,
+               shared-mime-info
+Standards-Version: 4.1.3
+Homepage: https://www.kde.org/applications/graphics/kxstitch
+Vcs-Browser: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch.git
+Vcs-Git: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch
 
 Package: kxstitch
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, kxstitch-common
+Depends: kxstitch-common, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross stitch pattern editor
  KXStitch is a program that lets you create cross stitch patterns and charts.
  Patterns can be created from scratch on a user defined size of grid, which

## kxstitch 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 2.8.12)
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 if (POLICY CMP0063)
     cmake_policy(SET CMP0063 NEW)

=== doc/CMakeLists.txt ===
KDOCTOOLS_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kxstitch)
KDOCTOOLS_CREATE_MANPAGE(man-kxstitch.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== icons/CMakeLists.txt ===
ECM_INSTALL_ICONS(ICONS
    22-actions-kxstitch-3quarter-stitch.png
    22-actions-kxstitch-backstitch.png
    22-actions-kxstitch-center-pattern.png
    22-actions-kxstitch-color-add.png
    22-actions-kxstitch-draw-ellipse-filled.png
    22-actions-kxstitch-draw-rectangle-filled.png
    22-actions-kxstitch-extend-pattern.png
    22-actions-kxstitch-format-justify-bottom.png
    22-actions-kxstitch-format-justify-middle.png
    22-actions-kxstitch-format-justify-top.png
    22-actions-kxstitch-frenchknot.png
    22-actions-kxstitch-full-stitch.png
    22-actions-kxstitch-half-stitch.png
    22-actions-kxstitch-quarter-stitch.png
    22-actions-kxstitch-small-full-stitch.png
    22-actions-kxstitch-small-half-stitch.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

add_subdirectory(app)

=== schemes/CMakeLists.txt ===
file(GLOB _schemes "*.xml")
install(FILES ${_schemes} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/schemes)

=== debian/changelog ===
kxstitch (2.2.0-1) unstable; urgency=medium

  * Update VCS entries.
  * Update my name in Uploaders.
  * Remove extra patches/ folder.
  * Refresh upstream signing key.
  * New upstream release.
  * Update my email.
  * Refresh copyright file with correct PO copyrights.
  * Remove patch applied upstream.
  * Move to dh_missing.
  * Remove autopkg tests as this does not have any tests.
  * Bump compat to 12.
  * Add back tests as there is 1 test.
  * Bump standards version to 4.3.0 - no changes needed.
  * Add upstream metadata.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 16 Jul 2019 09:43:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: kxstitch
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kde.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>
 Section: misc
 Priority: optional
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+               debhelper (>= 12),
                extra-cmake-modules,
                libkf5completion-dev,
                libkf5config-dev,
@@ -18,11 +18,11 @@
                libmagick++-6.q16-dev,
                libqt5x11extras5-dev,
                qtbase5-dev,
-               shared-mime-info
-Standards-Version: 4.1.3
+               shared-mime-info,
+Standards-Version: 4.3.0
 Homepage: https://www.kde.org/applications/graphics/kxstitch
-Vcs-Browser: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch.git
-Vcs-Git: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kxstitch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kxstitch.git
 
 Package: kxstitch
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@

## kxstitch 2.2.0+p24.04+vstable+git20250908.0822

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20250908.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:22:10 +0000

kxstitch (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commits 19b641c68c8a9ce11fdabb86f3cec6ddec59dfbc, and
    11f715597e64e6901428de81f7fa1944026c8eca to fix the AppStream metadata;
    patches upstream_Improve-appdata.patch, and
    upstream_Update-kxstitch-appdata-to-pass-flathub-validation.patch.
  * Backport upstream commit c9e6a03c32fe6e6901fad8439bf2235ddb8c288c to fix
    the rendering on certain occasions; patch
    upstream_Fix-for-rendering-on-scaled-painter.patch.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the references to the upstream Git repository in
    debian/upstream/metadata.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_install, as it is the default for
      dh_missing now
  * Small tweaks to copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Feb 2021 08:02:21 +0100

kxstitch (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Use the kf5 dh addon, so e.g. docbook files are not compressed
    - add the pkg-kde-tools build dependency
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Move the appdata file together with the executable, i.e. from
    kxstitch-common to kxstitch
    - add proper breaks/replaces
  * Tighten the kxstitch-common dependency in kxstitch.
  * Explicitly add the gettext build dependency.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2020 14:04:23 +0100

kxstitch (2.1.1-0) unstable; urgency=medium

  * Initial package

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 06 Feb 2018 16:39:37 +0000

## kxstitch 2.2.0+p24.04+vstable+git20250909.0648

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20250909.0648-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:48:40 +0000

## kxstitch 2.2.0+p24.04+vstable+git20251222.0216

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20251222.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:16:53 +0000
